package org.springblade.modules.sqmy.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.sqmy.pojo.entity.JmhRyEntity;
import org.springblade.modules.sqmy.pojo.vo.JmhRyVO;

import java.util.Objects;

/**
 * 每周见面会_参会人员 包装类,返回视图层所需的字段
 *
 * @author wth
 * @since 2024-11-12
 */
public class JmhRyWrapper extends BaseEntityWrapper<JmhRyEntity, JmhRyVO>  {

	public static JmhRyWrapper build() {
		return new JmhRyWrapper();
 	}

	@Override
	public JmhRyVO entityVO(JmhRyEntity jmhRy) {
		JmhRyVO jmhRyVO = Objects.requireNonNull(BeanUtil.copyProperties(jmhRy, JmhRyVO.class));

		//User createUser = UserCache.getUser(jmhRy.getCreateUser());
		//User updateUser = UserCache.getUser(jmhRy.getUpdateUser());
		//jmhRyVO.setCreateUserName(createUser.getName());
		//jmhRyVO.setUpdateUserName(updateUser.getName());

		return jmhRyVO;
	}

}
